Get Live Stats of the Grid
Description
You can use this API to get live stats of a specific grid’s performance. The required grid will be referred to using its Grid ID.
Request Details
Request URL
{api-domain}/browser360/v1/project/{project_id}/browser-grid/{grid_id}/stats?data_to_fetch=live_stats
Scope
ZohoCatalyst.grid.read
Request Headers for API Using OAuth
Authorization: Zoho-oauthtoken {oauth_token}
Content-Type: application/json
CATALYST-ORG: Provide the value of your Org ID.
Request Headers for API Using API Key
Authorization
api-key: The unique key generated by Catalyst. It can be retrieved from the console.
Response Details
You will receive a response containing live stats of a specific grid referred to using its Grid ID.
curl -X GET ‘https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/stats?data_to_fetch=live_stats'
-H ‘Authorization: Zoho-oauthtoken 1000*************************************f780’
-H ‘CATALYST-ORG: 111737956’
curl -X GET / ‘https://api.catalyst.zoho.com/browser360/v1/project/38119000000022053/browser-grid/3970000000005013/stats?data_to_fetch=live_stats'
-H ‘api-key: 961***********************************************************************7049’
{
“status”: “success”,
“data”: {
“free_sessions”: 5,
“session_queue_size”: 0,
“node_count”: 0,
“session_count”: 0,
“is_hub_alive”: false
}
}
Yes
No
Send your feedback to us